libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
transform.h File Reference

Enum to represent and manipulate 2D plane transforms. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Enumerations
enum class | libcamera::Transform : int { libcamera::Identity = 0 , libcamera::Rot0 = Identity , libcamera::HFlip = 1 , libcamera::VFlip = 2 , libcamera::HVFlip = HFlip | VFlip , libcamera::Rot180 = HVFlip , libcamera::Transpose = 4 , libcamera::Rot270 = HFlip | Transpose , libcamera::Rot90 = VFlip | Transpose , libcamera::Rot180Transpose = HFlip | VFlip | Transpose }
| Enum to represent a 2D plane transform. More...

## Functions
constexpr Transform | libcamera::operator& (Transform t0, Transform t1)
| Apply bitwise AND operator between the bits in the two transforms.
constexpr Transform | libcamera::operator| (Transform t0, Transform t1)
| Apply bitwise OR operator between the bits in the two transforms.
constexpr Transform | libcamera::operator^ (Transform t0, Transform t1)
| Apply bitwise XOR operator between the bits in the two transforms.
constexpr Transform & | libcamera::operator&= (Transform &t0, Transform t1)
| Apply bitwise AND-assignment operator between the bits in the two transforms.
constexpr Transform & | libcamera::operator|= (Transform &t0, Transform t1)
| Apply bitwise OR-assignment operator between the bits in the two transforms.
constexpr Transform & | libcamera::operator^= (Transform &t0, Transform t1)
| Apply bitwise XOR-assignment operator between the bits in the two transforms.
Transform | libcamera::operator* (Transform t0, Transform t1)
| Compose two transforms by applying t0 first then t1.
Transform | libcamera::operator- (Transform t)
| Invert a transform.
constexpr bool | libcamera::operator! (Transform t)
| Return true if the transform is the Identity, otherwise false.
constexpr Transform | libcamera::operator~ (Transform t)
| Return the transform with all the bits inverted individually.
Transform | libcamera::transformFromRotation (int angle, bool *success)
| Return the transform representing a rotation of the given angle clockwise.
Transform | libcamera::operator/ (const Orientation &o1, const Orientation &o2)
| Return the Transform that applied to o2 gives o1.
Orientation | libcamera::operator* (const Orientation &o, const Transform &t)
| Apply the Transform t on the orientation o.
const char * | libcamera::transformToString (Transform t)
| Return a character string describing the transform.

## Detailed Description

Enum to represent and manipulate 2D plane transforms.